#include <stdio.h>

void foo1 (int in1) {
	int var1;
	
	printf("Address of parameter in1 is %p\n", &in1);
	printf("Address of local variable var1 is %p\n", &var1);
}

void foo2 (int in2) {
	int var2;
	
	printf("Address of parameter in2 is %p\n", &in2);
	printf("Address of local variable var2 is %p\n", &var2);
	
	printf("***Calling foo1()***\n");
	foo1(in2);
	printf("***After foo1() has returned***\n");
}

void foo3 (int in3) {
	int var3;
	
	printf("Address of parameter in3 is %p\n", &in3);
	printf("Address of local variable var3 is %p\n", &var3);
	
	printf("***Calling foo2()***\n");
	foo2(in3);
	printf("***After foo2() has returned***\n");
}

int main (int argc, char *argv[]) {
	int var0;
	
	printf("Address of local variable var0 is %p\n", &var0);
	
	printf("***Calling foo3()***\n");
	foo3(var0);
	printf("***After foo3() has returned***\n");
	
	return 0;
}

