/* Calculate sum
 * n/1 + n/2 + n/3 + ... + n/k */

#include <stdio.h>

double calcterm (int n, int termno);
double calcsum (int n, int terms);

int main (int argc, char *argv[]) {
	int n, numterms;
	double result;
	
	printf("Enter n: ");
	scanf("%d", &n);
	printf("Enter number of terms: ");
	scanf("%d", &numterms);
	
	result = calcsum(n, numterms);
	printf("Sum = %lf\n", result);
	
	return 0;
}

/* Calculates a single term of the series */
/* n is the nominator, termno is the term index 
 * in the series (used as the denominator). 
 * Returns the value of the term */
double calcterm(int n, int termno) {
	double term;
	
	term = (double)n/termno;
	return(term);
}


/* Calculates and returns the value of the series. */
/* n is the nominator, terms is the number of terms */
double calcsum(int n, int terms) {
	double sum = 0;
	int i;
	
	for (i = 1; i <= terms; i++) {
		sum = sum + calcterm(n, i);
	}
	
	return(sum);
}
